Unassign Agent from Client
curl --request PUT \
--url https://api.chat-dash.com/v1/public/agents/{agentId}/unassign \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"clientId": "<string>"
}
'import requests
url = "https://api.chat-dash.com/v1/public/agents/{agentId}/unassign"
payload = { "clientId": "<string>" }
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({clientId: '<string>'})
};
fetch('https://api.chat-dash.com/v1/public/agents/{agentId}/unassign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Agent unassigned from client successfully"
}{
"error": "An unexpected error occurred"
}Agents
Unassign Agent from Client
Unassign an existing agent from a specific client
PUT
/
agents
/
{agentId}
/
unassign
Unassign Agent from Client
Headers
All requests to the ChatDash API must be validated with the agency API Key found on your agency profile
Path Parameters
The ID of the agent to unassign
Body
application/json
The ID of the client to unassign the agent from
Response
OK
Example:
"Agent unassigned from client successfully"
⌘I
